%define url_ver %(echo %{version}|cut -d. -f1,2)

Name:		gnome-nibbles
Version:	3.38.1
Release:	%mkrel 1
Summary:	GNOME Nibbles game
License:	GPLv2+ and GFDL
Group:		Games/Arcade
URL:		https://wiki.gnome.org/Nibbles
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	meson
BuildRequires:	pkgconfig(clutter-1.0) >= 1.0.0
BuildRequires:	pkgconfig(clutter-gtk-1.0) >= 1.0.0
BuildRequires:	pkgconfig(gsound)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.4.0
BuildRequires:	pkgconfig(libcanberra-gtk3) >= 0.26
BuildRequires:	pkgconfig(librsvg-2.0) >= 2.32.0
BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	lib64gnome-games-support-devel
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	vala
Obsoletes:	gnibbles
# For help
Requires:	yelp

%description
Pilot a worm around a maze trying to collect diamonds and at the same time
avoiding the walls and yourself. With each diamond your worm grows longer and
navigation becomes more and more difficult. Playable by up to four people.

%prep
%setup -q

%build
%meson 
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.Nibbles.desktop
%{_datadir}/dbus-1/services/org.gnome.Nibbles.service
%{_datadir}/glib-2.0/schemas/org.gnome.Nibbles.gschema.xml
%{_datadir}/%{name}
%{_iconsdir}/*/*/apps/*.*
%{_mandir}/man6/%{name}.6*
%{_datadir}/metainfo/org.gnome.Nibbles.appdata.xml
%{_datadir}/help


%changelog
* Wed Oct 07 2020 tex - 3.38.1-1pclos2020
- new version

* Sun Sep 13 2020 tex - 3.38.0-1pclos2020
- new version

* Sun Mar 08 2020 tex - 3.36.0-1pclos2020
- new version

* Sat Jan 04 2020 tex - 3.34.2-1pclos2020
- new version

* Tue Oct 08 2019 tex - 3.34.1-1pclos2019
- new version

* Thu Sep 12 2019 tex - 3.34.0-1pclos2019
- new version 3.34.0
